Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1406 (closed defect: fixed)

Opened 12 years ago

Last modified 7 years ago

r2471 breaks association with (at least) Cisco 1100

Reported by: alex-madwifi@digriz.org.uk Assigned to:
Priority: minor Milestone: version 0.9.5
Component: madwifi: other Version: trunk
Keywords: 2471 association Cc:
Patch is attached: 0 Pending:

Description

Hi,

About a week ago I, as usual, eagerly typed 'svn update' for the latest madwifi driver. After compiling, rebooting (new kernel too) and trying to associate I found that although my laptop could see (with iwconfig) the AP and start to connect at 1Mbps, no traffic would flow and then after a while it would move on; unable to associate. Interestingly 'iwlist ath0 scan' also would not show my AP (WPA2-PSK AES), but it would show a list of all the AP's my local neighbourhood has.

After some fun with 'svn' I managed to work out that r2470 works fine whilst r2471 breaks. "Mentor...you are tonights lucky winner..." :)

I did dig around the bug tracker and only found one possibly related issue (#1385), however I think in this case the user was just unlucky and started with a driver revision that had just broken functionality for his setup; much like mine...that is only a guess. So if this bug is fixed it probably would be worth prodding that user along for a retest.

The hardware in my Thinkpad T40p is a 'Atheros Communications, Inc. AR5211 802.11ab NIC (rev 01)'.

Cheers for an otherwise perfect driver, keep up the good work.

Alex

Change History

06/23/07 17:06:04 changed by mentor

weird.

06/23/07 17:13:43 changed by mentor

Try r2511 while I hide under a table.

06/23/07 18:03:39 changed by alex-madwifi@digriz.org.uk

Yep that works. Cheers for the quick turn around on that.

Have a good weekend

06/24/07 04:03:56 changed by mentor

  • status changed from new to closed.
  • resolution set to fixed.
  • milestone set to version 0.9.4.

02/11/08 06:20:28 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.